﻿-- English localization file for enUS and enGB.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("GigaItemAuction", "enUS", true)
if not L then return end

	
-- Chat commands
	L["Slash-Commands1"]		= "gia"
	L["Slash-Commands2"]		= "gigaitemauction"
	
--~ Optionen
	L["Slash Command"]			= true
	L["General Settings"]		= true
	L["Filter Settings"]		= true
	L["Admin Settings"]			= true
	L["Profiles"]				= true
	L["GIA_DEBUG"]				= "Developer settings"
	
-- Config strings, general settings section
	L["GIA_DESC"]				= "GigaItemAuction is a DKP-Auctioneer-AddOn for dropped items. You can configure different profiles for every of your characters."
	L["VersionCheck"]			= true
	L["VersionCheckText"]		= "Shows the version and the bid-time in raid/guild."
	L["VersionCheckTextRaid"]	= "Shows the version and the bid-time in raid."
	L["VersionCheckTextGuild"]	= "Shows the version and the bid-time in guild."
	L["DebugModus"]				= true
	L["DebugModusText"]			= "DebugModus turn on\nIt shows the whole traffic\nbetween bidder and auctioneer."
	L["DebugAdmin"]				= true
	L["DebugAdminText"]			= "DebugModus for developer mode turn on."
	L["BidStepText"]			= "Bidstep settings"
	L["ShowGIAText"]			= "GIA window show/hide."
	L["ShowADMINText"]			= "ADMIN window show/hide."
	L["SoundOptionText"]		= "Sound settings"
	
-- Config strings, admin settings section
	L["GIA_ADMIN"]						= "Set all Auction options."
	L["admin_option_bidStep"]			= "Bidstep"
	L["admin_option_bidStep_text"]		= "Set the minimal Bidstep."
	L["admin_option_bidTime"]			= "Period of auction"
	L["admin_option_bidTime_text"]		= "Set the period of auction"
	L["admin_option_bidU80"]			= "Attend below |cff55ff55XX|r%"
	L["admin_option_bidU80_text"]		= "Set the Attend lower limit." 
	L["admin_option_bidderShow"]		= "|cff55ff55Highest bidder|r visible/anonym"
	L["admin_option_bidderShow_text"]	= "Highest bidder name: |cff55ff55CHECK|r = visible for all, |cffff5555UNCHECK|r = anonym"
	L["admin_option_bidWithdraw"]		= "|cff55ff55Bid withdraw|r approve/block"
	L["admin_option_bidWithdraw_text"]	= "The bit withdraw button: |cff55ff55CHECK|r = approve, |cffff5555UNCHECK|r = block"
	L["admin_option_bidArt"]			= "Bidmodes approve/block"
	L["admin_option_bidArt_main"]		= "Main"
	L["admin_option_bidArt_main_text"]	= "The bidmode |cff55ff55Main|r approve/block"
	L["admin_option_bidArt_second"]		= "Second"
	L["admin_option_bidArt_second_text"]= "The bidmode |cff55ff55Second|r approve/block"
	L["admin_option_bidArt_fun"]		= "Fun"
	L["admin_option_bidArt_fun_text"]	= "The bidmode |cff55ff55Fun|r approve/block"
	L["admin_option_bidArt_u80"]		= "Below Attend mode"
	L["admin_option_bidArt_u80_text"]	= "The |cff55ff55Below Attend mode|r approve/block"
	L["admin_option_priority"]			= "Priority Table"
	L["admin_option_priority_text"]		= [[Priority #1: |cff55ff55Main|r
Priority #2: |cff55ff55Main |cff888888(below Attend)|r
Priority #3: |cffffff55Second|r
Priority #4: |cffffff55Second |cff888888(below Attend)|r
Priority #5: |cffff5555Fun|r
Priority #6: |cffff5555Fun |cff888888(below Attend)|r]]

-- Config strings, for sound section
	L["Sound_auctionstart"] 	= "Auction starts"
	L["Sound_auctionstartText"] = "Sound playing, if an auction starts."
	L["Sound_auctionend"] 		= "Auction ends"
	L["Sound_auctionendText"] 	= "Sound playing, if an auction ends."
	L["Sound_newgebot"] 		= "New auction"
	L["Sound_newgebotText"] 	= "Sound playing, if somebody bids."
	L["Sound_backgebot"] 		= "Bid withdraw"
	L["Sound_backgebotText"] 	= "Sound playing, if somebody withdraw his/her bid."
	L["Sound_pause"] 			= "Auction paused"
	L["Sound_pauseText"] 		= "Sound playing, if an auction paused."
	L["Sound_pausestart"] 		= "Auction continued"
	L["Sound_pausestartText"] 	= "Sound playing, if an auction continued after an interruption."
	L["Sound_errormsg"] 		= "Admin warning"
	L["Sound_errormsgText"] 	= "Sound playing, if a warning is send to an admin. (eg. sync-problems)"
	L["Sound_longauction"] 		= "Admin changed settings"
	L["Sound_longauctionText"] 	= "Sound playing, if a current auction is edit by an admin. (eg. bid time)"
	
	
-- Config strings, slash command section
	L["GIA_FILTER"]						= "Set the category."
	L["Category"]						= true
	L["Tierset token"]					= true
	L["itemFilter_showAll"]				= "Show all auctions."
	L["itemFilter_printFilterBlock"]	= "Announce filtered items."
	
-- Config strings, slash command section
	L["GIA_SLASH_DESC"] 				= "The buttons do the same as the slash command /gia"
	L["Toggle GIA"] 					= "GIA window show/hide"
	L["Admin GIA"] 						= "GIA |cffff5555ACP|r  show/hide"
	L["Configure"] 						= true
	L["Open the configuration dialog"] 	= true
	
-- Config strings, for Fubar
	L["FuBar Options"] 				= true
	L["Attach to minimap"] 			= true
	L["Hide minimap/FuBar icon"] 	= true
	L["Show icon"] 					= true
	L["Show text"] 					= true
	L["Position"] 					= true
	L["Left"] 						= true
	L["Center"] 					= true
	L["Right"] 						= true
    
-- Config strings, for BidButtons
	L["1st BidButton"] 			= true
	L["2nd BidButton"] 			= true
	L["3rd BidButton"] 			= true
	L["4th BidButton"] 			= true
	L["BidOptionText"] 			= "+ |cff55ff55X|r DKP to current bid."
	
-- Bidframe strings
	--title
	L["GigaItemAuction"] 		= true
	L["AuctionControlPanel"] 	= true
	L["Bidlogbook"] 			= true
	--beschreibung
	L["Current price:"]		= "Current bid:"
	L["Current auction:"]	= true
	L["Bidmethod control:"] = true
	L["Bidmode:"] 			= true
	L["Bid:"] 				= true
	L["Bidtime:"] 			= "Period of auction:"
	L["Special action:"] 	= "Last bid:"
	L["Highest bidder:"] 	= true
	L["sec"]				= true
	L["approve"]			= true
	L["block"]				= true
	L["visible for all"]	= true
	--tooltip
	L["Bidtime (sec.)"] 	= true
	--buttons
	L["Admin"] 				= true
	L["Withdraw bid"]		= true
	
	
-- Statusbar Text
	L["statusbar_text_start"] 	= "Auction running"
	L["statusbar_text_pause"] 	= "PAUSED"
	
-- admin button text
	L["admin_button_text_break"] 		= "Cancel"
	L["admin_button_text_timeedit"] 	= "Change time"
	L["admin_button_text_pause"] 		= "Pause"
	L["admin_button_text_start"] 		= "Start"
	L["admin_button_text_reset"] 		= "Reset"
	
-- admin button tooltip
	L["tooltip_admin_break"]	= "Running auction:\n CANCEL"
	L["tooltip_admin_timeedit"]	= "Running auction:\n EXTEND/REDUCE"
	L["tooltip_admin_pause"]	= "Running auction:\n PAUSED"
	L["tooltip_admin_start"]	= "Running auction:\n START"
	L["tooltip_admin_reset"]	= "Running auction:\n RESET"
	
-- invalid msg
	L["error1"] = "|cffff5555INVALID:|r Check your bid mode! Current bid mode is higher in priority."
	L["error2"] = "|cffff5555INVALID:|r Your bid is smaller or even the current bid!"
	L["error3"] = "|cffff5555INVALID:|r This is your bid!"
	L["error4"] = "|cffff5555INVALID:|r Your bid isn't send to the auction! Auctioneer: [%s]"
	L["error5"] = "|cffff5555INVALID:|r You are not highest bidder!"
	L["error6"] = "|cffff5555INVALID:|r You not bid on the current auction!"
	L["error7"] = "|cffff5555INVALID:|r The auction is already closed!"
	L["error8"] = "|cffff5555INVALID:|r Your bidmode is blocked for current auction!"
	L["error9"] = "|cffff5555INVALID:|r The auction is paused!"
	L["error10"] = "|cffff5555INVALID:|r The BidWithdraw is blocked for current auction!"
	
--security msg
	L["secutity1"] = "|cffff5555SECURITY:|r You have not the rights to start an auction!"
	L["secutity2"] = "|cffff5555SECURITY:|r You have not the rights to change the bid time!"
	L["secutity3"] = "|cffff5555SECURITY:|r You have not the rights to cancel an auction!"
	L["secutity4"] = "|cffff5555SECURITY:|r You have not the rights to reset an auction!"
	L["secutity5"] = "|cffff5555SECURITY:|r You have not the rights to pause/start an auction!"
	L["secutity6"] = "|cffff5555SECURITY:|r You have not the rights to approve/block the bidmethod!"
	L["secutity7"] = "|cffff5555SECURITY:|r You have not the rights to approve/block the highest bidder show!"
	
--hint msg
	L["hinweis1"] = "|cffff5555HINT:|r The last bid was withdrawn!"
	L["hinweis2"] = "|cffff5555HINT:|r The auction was paused!"
	L["hinweis3"] = "|cffff5555HINT:|r There is no auction."
	L["hinweis4"] = "|cffff5555HINT:|r There is a new version of GIA available."
	
--admin edit
	L["adminedit1"] = "|cff55ff55ADMIN EDIT:|r Bidtime edit by [%s] to |cff55ff55%s|r seconds."

--version msg
	L["version_header"] = "|cffffff55%s CHECK:|r Overall |cffffff55%s|r of |cffffff55%s|r players installed/activated the GIA."
	L["version_new"] 	= "|cff5555ffNEWER version:|r |cff5555ff%s|r players."
	L["version_same"] 	= "|cff55ff55SAME version:|r |cff55ff55%s|r players."
	L["version_old"] 	= "|cffff5555OLDER version:|r |cffff5555%s|r players."
	
--sync error msg
	L["syncerror1"]		= "|cffff5555ERROR:|r Failure to deserialize incoming data from [%s]. The players version invalid?"
	
	L["BID"] = true
	L["IfNowAuctionMSG"] = "There is an item being auctioneered right now.\nDo you want to place a bid?"
	
--auction end report strings
	L["auctionBreak"] 	= "The auction was canceled by [%s]."
	L["auctionTrue"] 	= "[|cff%s%s|r] bought %s for |cff55ff55%s|r DKP.%s"
	L["auctionNoBid"] 	= "%s nobody wants this."
	L["onlySee"] 		= "Only %s can see the logbook."
	
--global strings
	L["nobody"] 		= true
	L["anonym"] 		= "-anonym-"
	
	L["other"]			= true
	L["Event"]			= true
	L["u80"]			= "below %s%%"
	L["u80_mini"]		= "b%s"

    L["Enable."] 		= true
    L["Disable."] 		= true
	
	L["Yes"]			= true
	L["No"]				= true
	
	L["unknown"] 		= true
	L["item"]			= true
    
	L["NEW"] 			= true
	L["ALL"]			= true
	L["YOUR"]			= true
	
	L["GUILD"]			= "GUILD"
	L["RAID"]			= "RAID"
	
--fubar hint tooltips
	L["disabledhint"] 	= "On STANDBY. \n|c000070ddClick|r to enable the GigaItemAuction."
	L["hint"] 			= [[ 
|cffaaaaaaIcon:|r |cff0070ddClick|r Toggle the GIA window.
|cffaaaaaaIcon:|r |cff0070ddSHIFT-Click|r Open the configuration dialog.

|cffffffffItem:|r |cff0070ddSHIFT-Click|r to delete the Item.]]

--itemtypes
	L["EquipLoc One Hand"] 			= "One Hand"
	L["EquipLoc Two Hand"] 			= "Two Hand"
	L["EquipLoc Main Hand"] 		= "Main Hand"
	L["EquipLoc Off Hand"] 			= "Off Hand"
	L["EquipLoc Shield"] 			= "Shield"
	L["EquipLoc Shirt"] 			= "Shirt"
	L["EquipLoc Chest"] 			= "Chest"
	L["EquipLoc Back"] 				= "Back"
	L["EquipLoc Feet"] 				= "Feet"
	L["EquipLoc Finger"] 			= "Finger"
	L["EquipLoc Hands"] 			= "Hands"
	L["EquipLoc Head"] 				= "Head"
	L["EquipLoc Legs"] 				= "Legs"
	L["EquipLoc Neck"] 				= "Neck"
	L["EquipLoc Ranged"] 			= "Ranged"
	L["EquipLoc Relic"] 			= "Relic"
	L["EquipLoc Chest"] 			= "Chest"
	L["EquipLoc Shoulder"] 			= "Shoulder"
	L["EquipLoc Tabard"] 			= "Tabard"
	L["EquipLoc Trinket"] 			= "Trinket"
	L["EquipLoc Waist"] 			= "Waist"
	L["EquipLoc Wrist"] 			= "Wrist"
	L["EquipLoc Wand"] 				= "Wand"
	L["EquipLoc Gun"] 				= "Gun"
	L["EquipLoc Projectile"] 		= "Projectile"
	L["EquipLoc Crossbow"] 			= "Crossbow"
	L["EquipLoc Thrown"] 			= "Thrown"
	
--itemType
	L["Weapon"]					= true
	L["Armor"]					= true
	L["Gem"]					= true
	L["Trade Goods"]			= true
	L["Recipe"]					= true
--itemEquipLoc
	L["Slot"] 					= true
	L["Head"] 					= true
	L["Neck"] 					= true
	L["Shirt"] 					= true
	L["Finger"] 				= true
	L["Trinket"] 				= true
	L["Held In Off-hand"] 		= true
	L["Shoulder"] 				= true
	L["Robe"] 					= true
	L["Chest"] 					= true
	L["Waist"] 					= true
	L["Legs"] 					= true
	L["Feet"] 					= true
	L["Wrist"] 					= true
	L["Hands"] 					= true
	L["Back"] 					= true
--itemSubType
	--armor
	L["Miscellaneous"]			= true		--Head, Neck, Shirt, Finger, Trinket, Held In Off-hand
	L["Plate"] 					= true 		--Head, Shoulder, Chest, Waist, Legs, Feet, Wrist, Hands
	L["Mail"] 					= true 		--Head, Shoulder, Chest, Waist, Legs, Feet, Wrist, Hands
	L["Leather"] 				= true		--Head, Shoulder, Chest, Waist, Legs, Feet, Wrist, Hands
	L["Cloth"] 					= true 		--Head, Shoulder, Chest, Waist, Legs, Feet, Wrist, Hands, Back
	L["Shields"]				= true
	L["Librams"]				= true
	L["Idols"]					= true
	L["Totems"]					= true
	L["Sigils"]					= true
	L["Relic"] 					= true
	--Miscellaneous
	L["Junk"]					= true
	L["Armor Token"]			= true
	--gems
	L["Red"]					= true
	L["Blue"]					= true
	L["Yellow"]					= true
	L["Purple"]					= true
	L["Green"]					= true
	L["Orange"]					= true
	L["Meta"]					= true
	L["Simple"]					= true
	L["Prismatic"]				= true
	--recipe
	L["Leatherworking"] 		= true
	L["Tailoring"] 				= true
	L["Engineering"] 			= true
	L["Blacksmithing"] 			= true
	L["Jewelcrafting"] 			= true
	L["Enchanting"] 			= true
	L["Alchemy"] 				= true
	L["Cooking"] 				= true
	L["First Aid"] 				= true
	L["Fishing"] 				= true
	L["Book"] 					= true
